%define lua_version	5.1

Summary:        Network access library for the Lua programming language
Name:           luasocket
Version:        2.0.2
Release:        %{mkrel 1}
License:        MIT
Group:          Development/Other
URL:            http://www.tecgraf.puc-rio.br/~diego/professional/luasocket/
Source0:        %{name}-%{version}.tar.gz
Patch0:		luasocket-2.0.2-cflags.patch
BuildRoot:      %_tmppath/%{name}-buildroot
BuildRequires:	lua-devel
Requires:	lua
Obsoletes:	%{mklibname luasocket 2} < %{version}-%{release}
Obsoletes:	%{mklibname luasocket 2 -d} < %{version}-%{release}

%description
LuaSocket is a Lua extension library that is composed by two parts: a
C layer that provides support for the TCP and UDP transport layers,
and a set of Lua modules that add support for the SMTP (sending
e-mails), HTTP (WWW access) and FTP (uploading and downloading files)
protocols.

%prep
%setup -q
%patch0 -p1 -b .cflags

%build
export CFLAGS="%{optflags} -fPIC"
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std INSTALL_TOP_SHARE=%{buildroot}/%{_datadir}/lua/%{lua_version} INSTALL_TOP_LIB=%{buildroot}/%{_libdir}/lua/%{lua_version}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEW README doc/*
%{_libdir}/lua/%{lua_version}/mime/*.so
%{_libdir}/lua/%{lua_version}/socket/*.so
%{_datadir}/lua/5.1/*.lua
%{_datadir}/lua/5.1/socket/*.lua



%changelog
* Thu Aug 28 2008 Adam Williamson <awilliamson@mandriva.com> 2.0.2-1mdv2009.0
+ Revision: 277052
- package doc files properly with %%doc
- drop now unnecessary %%post and %%postun workarounds
- drop the manual installation, just pass appropriate vars to makeinstall
- rewrap description
- obsolete the insane old packaging of this as if it were a system library
- correct lua buildrequires and requires
- add new cflags.patch for just the allowing external CFLAGS bit
- drop old patch (lots of irrelevant stuff in it)
- update URL
- rebuild for new lua
- drop unnecessary defines
- new release 2.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - import luasocket

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 2.0-2mdk
- rebuild

* Wed May 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- from Andre Nathan <andre@digirati.com.br> :
	- Package creation.
